# $Revision: 1.25 $, $Date: 2002/09/22 14:21:01 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	BSD
%define		pnam	Resource
Summary:	BSD::Resource Perl module
Summary(cs):	Modul BSD::Resource pro Perl
Summary(da):	Perlmodul BSD::Resource
Summary(de):	BSD::Resource Perl Modul
Summary(es):	Mdulo de Perl BSD::Resource
Summary(fr):	Module Perl BSD::Resource
Summary(it):	Modulo di Perl BSD::Resource
Summary(ja):	BSD::Resource Perl ⥸塼
Summary(ko):	BSD::Resource  
Summary(no):	Perlmodul BSD::Resource
Summary(pl):	Modu Perla BSD::Resource
Summary(pt):	Mdulo de Perl BSD::Resource
Summary(pt_BR):	Mdulo Perl BSD::Resource
Summary(ru):	  Perl BSD::Resource
Summary(sv):	BSD::Resource Perlmodul
Summary(uk):	  Perl BSD::Resource
Summary(zh_CN):	BSD::Resource Perl ģ
Name:		perl-BSD-Resource
Version:	1.17
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BSD::Resource - BSD process resource limit and priority functions.

%description -l pl
BSD::Resource - modu zawiera rozszerzon implementacj funkcji
ograniczenia zasobw procesw i pierwszestwa procesw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitearch}/BSD/Resource.pm
%dir %{perl_sitearch}/auto/BSD/Resource
%{perl_sitearch}/auto/BSD/Resource/*.al
%{perl_sitearch}/auto/BSD/Resource/autosplit.ix
%{perl_sitearch}/auto/BSD/Resource/Resource.bs
%attr(755,root,root) %{perl_sitearch}/auto/BSD/Resource/Resource.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-BSD-Resource.spec,v $
Revision 1.25  2002/09/22 14:21:01  kloczek
- (auto)updated to 1.17: bug fixes.

Revision 1.24  2002/07/16 11:31:02  ankry
- translations, cleaning
- release 2

Revision 1.23  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.22  2002/07/11 07:57:07  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:29:40  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 19:31:06  kloczek
- adapterized.

Revision 1.16  2002/02/13 14:09:42  depesz
automatic: Source location unified, Relase Up

Revision 1.15  2002/02/10 15:24:23  depesz
adapterized

Revision 1.14  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/10/01 09:43:10  mis
- autoupdated to 1.11

Revision 1.12  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/04/17 12:05:21  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/03/15 10:26:22  mis
- updated (by autoup) to 1.10

Revision 1.8  2001/01/25 20:03:43  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2001/01/09 17:27:29  baggins
- updated to 1.09

Revision 1.6  2000/12/27 18:30:20  kloczek
- release 4: rebuild against perl 5.6 and use new rpm automation.

Revision 1.5  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.1  1999/11/08 14:39:52  pius
- initial release
